package com.ruoyi.basetyre.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车辆类型对象 base_car_type
 * 
 * @author Yangwl
 * @date 2023-02-08
 */
public class BaseCarType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 轮胎厂编码 */
    @Excel(name = "轮胎厂编码")
    private String tyreFacCode;

    /** 企业编码 */
    @Excel(name = "企业编码")
    private String companyCode;

    /** 编码 */
    @Excel(name = "编码")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String title;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** 车轴数 */
    @Excel(name = "车轴数")
    private Long axleTotal;

    /** 轮胎数 */
    @Excel(name = "轮胎数")
    private Long tyreTotal;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private String createId;

    /** 创建者姓名 */
    @Excel(name = "创建者姓名")
    private String createName;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyTime;

    /** 修改者ID */
    @Excel(name = "修改者ID")
    private String modifyId;

    /** 修改者账号 */
    @Excel(name = "修改者账号")
    private String modifyBy;

    /** 编辑者姓名 */
    @Excel(name = "编辑者姓名")
    private String modifyName;

    /** 布局挂数 */
    @Excel(name = "布局挂数")
    private Long trailerNum;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setTyreFacCode(String tyreFacCode) 
    {
        this.tyreFacCode = tyreFacCode;
    }

    public String getTyreFacCode() 
    {
        return tyreFacCode;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setAxleTotal(Long axleTotal) 
    {
        this.axleTotal = axleTotal;
    }

    public Long getAxleTotal() 
    {
        return axleTotal;
    }
    public void setTyreTotal(Long tyreTotal) 
    {
        this.tyreTotal = tyreTotal;
    }

    public Long getTyreTotal() 
    {
        return tyreTotal;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreateId(String createId) 
    {
        this.createId = createId;
    }

    public String getCreateId() 
    {
        return createId;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setModifyTime(Date modifyTime) 
    {
        this.modifyTime = modifyTime;
    }

    public Date getModifyTime() 
    {
        return modifyTime;
    }
    public void setModifyId(String modifyId) 
    {
        this.modifyId = modifyId;
    }

    public String getModifyId() 
    {
        return modifyId;
    }
    public void setModifyBy(String modifyBy) 
    {
        this.modifyBy = modifyBy;
    }

    public String getModifyBy() 
    {
        return modifyBy;
    }
    public void setModifyName(String modifyName) 
    {
        this.modifyName = modifyName;
    }

    public String getModifyName() 
    {
        return modifyName;
    }
    public void setTrailerNum(Long trailerNum) 
    {
        this.trailerNum = trailerNum;
    }

    public Long getTrailerNum() 
    {
        return trailerNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tyreFacCode", getTyreFacCode())
            .append("companyCode", getCompanyCode())
            .append("code", getCode())
            .append("title", getTitle())
            .append("state", getState())
            .append("axleTotal", getAxleTotal())
            .append("tyreTotal", getTyreTotal())
            .append("isDelete", getIsDelete())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("modifyTime", getModifyTime())
            .append("modifyId", getModifyId())
            .append("modifyBy", getModifyBy())
            .append("modifyName", getModifyName())
            .append("trailerNum", getTrailerNum())
            .toString();
    }
}
